## Tips

- package.json 中 配置 main, module, unpkg 指向 cjs, esm, umd 三个版本
- sourcemap, 应该在 development 版本中输出, 生产环境不需要, library 会被应用层再次打包, 由应用控制 sourcemap 的输出
- 生产环境
  - umd: 一份压缩版本(.min)和未压缩版本(带有 sourcemap 吧?)
  - 一份 commonjs 版本, 不需要压缩
  - 一份 esm 版本, 不需要压缩
  - cjs, esm 版本 如需有调试信息, 通过 process.env.NODE_ENV 区分
- jest: 设置 babelrc, 新增 env 配置, 因为 jest 无法识别 ES Module.

## run

- 依赖下载 `yarn install`
- 本地运行 `yarn run start`
- 项目打包 `yarn run build`

## tech

- 通用网络请求: axios
- 前端调试工具: VConsole
- 时间格式化: fecha
- excel 导入导出: xlsx
- 钉钉 jsapi: dd

## todolist

- css

```
/**引入css

  const new_element = document.createElement("link");
  new_element.setAttribute("rel", "stylesheet");
  new_element.setAttribute("type", "text/css");
  new_element.setAttribute("href", "https://aliwork.zitoo.com.cn/fegroup/index.css");
  document.body.appendChild(new_element);
  */
```
