## 新天龙案例

```
/*** mc 系列之 mjs
 * 对接宜搭公共JavaScript库
 * 公共库地址：https://mc.cloudpure.cn/mjs/mjs.min.js
 ***/

//---------------------- common ----------------------//

// 加载 mjs
export function _mjsLoad(callback = Function.prototype) {
  const src = "https://mc.cloudpure.cn/mjs/mjs.min.js"
  // const src = "http://127.0.0.1:7001/dist/mjs.js"
  const script = document.createElement('script');
  script.type = 'text/javascript';
  script.src = src;
  document.getElementsByTagName('head')[0].appendChild(script);
  script.onload = () => this._mjsInit();;
};

//---------------------- private ----------------------//

// 加载即调用方法请在此处进行调用
export async function _mjsInit() {
  await mjs.init(this, { vconsole: false })
  // 页面环境：0提交(其它)，1查看，2编辑(审批)
  if (!mjs.env) { }
  mjs._queryList = mjs.optimize.debounce(param => this.queryList(param), 750)
  this.$("textField_lgp1b94r").set("value", mjs.storage.SS.GET("s_code"))
}


// 查询列表
export async function queryList(values) {
  const date = values.cascadeDateField_lgq1sjrd;
  const rsp = await mjs.request.xhr.doPost("https://mc.cloudpure.cn/api/xintianlong/yd/order-list", {}, {
    order: {
      "formUuid": "FORM-3C866TC1MH19IOBZEXJJ58ZQ36IE3FDACV7FL0",
      "compId_code": "textField_lf7vdf33",
      "condition_code": values.textField_lgp1b94r,
      "compId_date": "dateField_lf80vr20",
      "condition_date": date.start && date.end ? [date.start, date.end] : ""
    },
    supplier: {
      "formUuid": "FORM-AC6660814FW8UIE496KJT4YYKNA022Y1VU7FLC",
      "compId": "textField_lf7v3zj0",
      "condition": values.textField_lgp1b94r
    }
  })
  this.$('tablePc_lgp1b94w').set("data", rsp.data.data)
  mjs.storage.SS.SET("s_code", values.textField_lgp1b94r)
}


//---------------------- event ----------------------//

// 页面节点加载渲染完毕
export function didMount() {
  // 工具库: mjs & 初始化
  this._mjsLoad();
}

// 查询事件
export function onSubmit(values) {
  if (!values.textField_lgp1b94r) {
    this.utils.toast({
      title: '客户代码不能为空！', // 'success', 'warning', 'error', 'notice', 'help', 'loading'
      type: 'error',
      size: 'large',
      duration: 2000, // 毫秒, type 为 loding 时无效
    });
    return
  }
  mjs._queryList(values)
}
```
