import { previewImageScale } from "../vendor/dingApi";
import { aliworkConvertOpenUrl } from "../service/network";

const cvt = {}; // convert

// 宜搭附件转免登地址, 需要在 u8_connecter 项目内添加应用信息
cvt.previewImage = async function (that, compId_image, projectId) {
  const images = that.$(compId_image).getValue();
  if (!images.length) return;
  const urls = images.map(
    (item) => `https://www.aliwork.com${item.downloadURL}`
  );
  const resp = await aliworkConvertOpenUrl({ projectId, imageUrl: urls.join(","), });
  if (!resp.success) return;
  previewImageScale(resp.data);
};

export default cvt;
