import * as ddAPi from "dingtalk-jsapi";
// // NOTE: 未默认解构 default - 不能直接解构, 不识别. 不能有效减少包体积
const dd = ddAPi.default;

import request from "../service/request";

// -------------------- 农展本地函数 -------------------- //

const nz = {};

// 免登获取用户信息: 移动端
nz.authUserInfo = function () {
  return new Promise((resolve) => {
    dd.ready(() => {
      dd.runtime.permission.requestAuthCode({
        corpId: "dingb8fa8a8bd555723bee0f45d8e4f7c288",
        onSuccess: async (result) => {
          const resp = await request.postParams(
            `https://yida.zitoo.com.cn/transmit/nz`,
            { authCode: result.code }
          );
          resolve(resp.data);
        },
      });
    });
  });
};

export default nz;
