const auth = {};

/** @授权成功后挂载API */
auth.requestLib = function () {
  return new Promise((resolve, reject) => {
    const appType = pageConfig.appType || pageConfig.appKey;
    setTimeout(() => {
      const resp = {
        success: true,
        code: 200,
        message: "请求成功",
        msg: "success",
        data: {
          appType,
          desc: "产品授权",
        },
      };

      resolve(resp);
      // const msg = `mjs load failure. ♨ 访问应用: ${resp.data.appType} ${resp.message} ©️ 版权请请联系: https://www.aliwork.com/o/mc`;
      // reject(msg);
    }, 750);
  });
};


/** @打开钉钉名片 */
auth.contactNoDing = function (noDing) {
  window.open(
    `dingtalk://dingtalkclient/action/sendmsg?dingtalk_id=${noDing}`, // 燕江钉钉号
    "_self"
  );
};

/** @钉钉名片牧语 */
auth.contactUs = function () {
  window.open(
    "dingtalk://dingtalkclient/action/sendmsg?dingtalk_id=yanjiangboy", // 燕江钉钉号
    "_self"
  );
};

////// 阿竹：invitedDeptId=58279212，invitedCode=P127003E238004，dingtalk_id=k9b-l2lrvwk1v //////

/** @钉钉商务名片 */
auth.contactBusiness = function () {
  window.open(
    "dingtalk://dingtalkclient/action/sendmsg?dingtalk_id=k9b-l2lrvwk1v",
    "_self"
  );
};

/** @创建场景群 */
auth.contactLeads = function (channel = "上海云璞宜搭模板") {
  window.open(
    `https://partner.dingtalk.com/opportunity_web.html?templateId=75fe8503808347c6ab6269b431a1e254&invitedCode=P127003E238004&invitedDeptId=58279212&channel=${channel}#/consultingService`,
    "_blank"
  );
};

export default auth;
