
/*** mjs 之 云璞tb与宜搭对接 ***/

import { KEY_NO_LOADING, KEY_SHOW_MESSAGE } from "../service/request";

export default {

  // 公共配置
  init () {
    mjs.conf.api = "https://mc.cloudpure.cn/tb-yd/";
    return this; // this 指向当前项目本身
  },

  // 获取企业项目模板
  async getTemplate (compId) {
    const rsp = await mjs.request.xhr.doPost("tb/template", {}, {}, {
      [KEY_NO_LOADING]: true
    });
    mjs.$this.$(compId).set("dataSource", rsp.data.map(item => ({ label: item.name, value: item.id })))
  },

  // 获取企业项目模板
  async createProject () {
    const body = {
      userName: loginUser.userName,
      projectName: mjs.$this.$("textField_l9m4krcc").getValue()
    }
    const templateId = mjs.$this.$("selectField_laqbuhr7").getValue();
    if (templateId) {
      body.templateId = templateId;
    }
    const rsp = await mjs.request.xhr.doPost("tb/project", {}, body);
  },


};
