import request from "./request";
import { nonceStr } from "../config/env";

// -------------------- 致拓crm -------------------- //

// 钉钉服务地址
function _dingZitooUrl (url) {
  return `https://aliwork.zitoo.com.cn.com/zitooCrm${url}`;
}

/**
 * @exports :创建钉钉群聊会话
 * @param name 群名
 * @param owner 群主
 * @param useridlist 群成员
 * */
export function ddingTalkChatCreate (name, owner, useridlist) {
  return request.post(_dingZitooUrl("/chatCreate"), {
    name,
    owner,
    useridlist,
  });
}

/**
 * @exports :钉钉注册鉴权接口
 */
export function ddingRegisterAuth (timeStamp, url) {
  return request.post(_dingZitooUrl("/chatAuth"), {
    timeStamp,
    url,
    nonceStr,
  });
}
